Payments & FinancePayments
Update payment settings
PUT
/v1/payments/settingsUpdate payment settings. A successful request returns HTTP 204 without a response body.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X PUT "https://example.com/v1/payments/settings" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "captureMode": "automaticAtCheckout", "defaultConnectionId": "7204558912004325301", "manualPaymentsEnabled": false }'Empty